package com.jwipc.portal.log;

import com.jwipc.log.logic.LoginUserLogic;
import com.jwipc.security.LoginUtil;
import org.springframework.stereotype.Service;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
@Service
public class LoginUserLogicImpl implements LoginUserLogic {
    @Override
    public String getUserId() {
        return String.valueOf(LoginUtil.getCurrentUser().getUserId());
    }

    @Override
    public String getUserName() {
        return LoginUtil.getCurrentUser().getName();
    }
}
